Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface ClickListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DecoratedTabBar, DelegatingClickListenerCollection, TabBar

Deprecated. Use `ClickHandler` instead

    @Deprecated
    public interface ClickListener

extends java.util.EventListener

Event listener interface for click events.

Method Summary
`void` | `onClick(Widget sender)` Deprecated. Use `ClickHandler.onClick(com.google.gwt.event.dom.client.ClickEvent)` instead

Method Detail

### onClick

    @Deprecated
    void onClick(Widget sender)

  Deprecated. Use `ClickHandler.onClick(com.google.gwt.event.dom.client.ClickEvent)` instead

  Fired when the user clicks on a widget.

  Parameters:
    `sender` - the widget sending the event.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD